/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/************************************************************************cherex
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * Copyright 2000, 2010 Oracle and/or its affiliates.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

// MARKER(update_precomp.py): Generated on 2006-09-01 17:49:59.201789

#ifdef PRECOMPILED_HEADERS

//---MARKER---

// required for soiurce/ui/slideshow
// #i73256#
#ifdef WNT
#pragma warning (disable:4505)
#endif

#include "sal/config.h"
#include "sal/types.h"

#include "avmedia/mediaitem.hxx"
#include "avmedia/mediaplayer.hxx"
#include "avmedia/mediatoolbox.hxx"
#include "avmedia/mediawindow.hxx"

#include "basegfx/matrix/b2dhommatrix.hxx"
#include "basegfx/polygon/b2dpolygon.hxx"
#include "basegfx/polygon/b2dpolygontools.hxx"
#include "basegfx/tools/canvastools.hxx"

#include "basic/basmgr.hxx"
#include "basic/sberrors.hxx"
#include "basic/sbmeth.hxx"
#include "basic/sbmod.hxx"
#include "basic/sbstar.hxx"
#include "basic/sbx.hxx"

#include "boost/function.hpp"
#include "boost/limits.hpp"
#include "boost/scoped_ptr.hpp"
#include "boost/shared_ptr.hpp"
#include "boost/weak_ptr.hpp"

#include "canvas/elapsedtime.hxx"
#include "canvas/prioritybooster.hxx"

#include "com/sun/star/accessibility/AccessibleEventId.hpp"
#include "com/sun/star/accessibility/AccessibleRole.hpp"
#include "com/sun/star/accessibility/AccessibleStateType.hpp"
#include "com/sun/star/accessibility/XAccessible.hpp"
#include "com/sun/star/accessibility/XAccessibleComponent.hpp"
#include "com/sun/star/accessibility/XAccessibleContext.hpp"
#include "com/sun/star/accessibility/XAccessibleEventBroadcaster.hpp"
#include "com/sun/star/accessibility/XAccessibleEventListener.hpp"
#include "com/sun/star/accessibility/XAccessibleExtendedComponent.hpp"
#include "com/sun/star/accessibility/XAccessibleSelection.hpp"
#include "com/sun/star/animations/AnimationAdditiveMode.hpp"
#include "com/sun/star/animations/AnimationCalcMode.hpp"
#include "com/sun/star/animations/AnimationColorSpace.hpp"
#include "com/sun/star/animations/AnimationEndSync.hpp"
#include "com/sun/star/animations/AnimationFill.hpp"
#include "com/sun/star/animations/AnimationNodeType.hpp"
#include "com/sun/star/animations/AnimationRestart.hpp"
#include "com/sun/star/animations/AnimationTransformType.hpp"
#include "com/sun/star/animations/AnimationValueType.hpp"
#include "com/sun/star/animations/Event.hpp"
#include "com/sun/star/animations/EventTrigger.hpp"
#include "com/sun/star/animations/Timing.hpp"
#include "com/sun/star/animations/TransitionSubType.hpp"
#include "com/sun/star/animations/TransitionType.hpp"
#include "com/sun/star/animations/ValuePair.hpp"
#include "com/sun/star/animations/XAnimate.hpp"
#include "com/sun/star/animations/XAnimateColor.hpp"
#include "com/sun/star/animations/XAnimateMotion.hpp"
#include "com/sun/star/animations/XAnimateSet.hpp"
#include "com/sun/star/animations/XAnimateTransform.hpp"
#include "com/sun/star/animations/XAnimationNode.hpp"
#include "com/sun/star/animations/XAnimationNodeSupplier.hpp"
#include "com/sun/star/animations/XAudio.hpp"
#include "com/sun/star/animations/XCommand.hpp"
#include "com/sun/star/animations/XIterateContainer.hpp"
#include "com/sun/star/animations/XTimeContainer.hpp"
#include "com/sun/star/animations/XTransitionFilter.hpp"
#include "com/sun/star/awt/CharSet.hpp"
#include "com/sun/star/awt/FontDescriptor.hpp"
#include "com/sun/star/awt/FontFamily.hpp"
#include "com/sun/star/awt/FontPitch.hpp"
#include "com/sun/star/awt/FontSlant.hpp"
#include "com/sun/star/awt/FontUnderline.hpp"
#include "com/sun/star/awt/FontWeight.hpp"
#include "com/sun/star/awt/MouseEvent.hdl"
#include "com/sun/star/awt/MouseEvent.hpp"
#include "com/sun/star/awt/Rectangle.hpp"
#include "com/sun/star/awt/SystemPointer.hpp"
#include "com/sun/star/awt/WindowEvent.hpp"
#include "com/sun/star/awt/XControlModel.hpp"
#include "com/sun/star/awt/XDevice.hpp"
#include "com/sun/star/awt/XFocusListener.hpp"
#include "com/sun/star/awt/XFont.hpp"
#include "com/sun/star/awt/XGraphics.hpp"
#include "com/sun/star/awt/XMouseListener.hpp"
#include "com/sun/star/awt/XMouseMotionListener.hpp"
#include "com/sun/star/awt/XPaintListener.hpp"
#include "com/sun/star/awt/XPointer.hpp"
#include "com/sun/star/awt/XWindow.hpp"
#include "com/sun/star/awt/XWindowListener.hpp"
#include "com/sun/star/awt/XWindowPeer.hpp"
#include "com/sun/star/beans/NamedValue.hpp"
#include "com/sun/star/beans/Property.hpp"
#include "com/sun/star/beans/PropertyAttribute.hpp"
#include "com/sun/star/beans/PropertyChangeEvent.hpp"
#include "com/sun/star/beans/PropertyState.hpp"
#include "com/sun/star/beans/PropertyValue.hdl"
#include "com/sun/star/beans/PropertyValue.hpp"
#include "com/sun/star/beans/PropertyValues.hpp"
#include "com/sun/star/beans/XMultiPropertySet.hpp"
#include "com/sun/star/beans/XPropertyAccess.hpp"
#include "com/sun/star/beans/XPropertyChangeListener.hpp"
#include "com/sun/star/beans/XPropertySet.hpp"
#include "com/sun/star/beans/XPropertySetInfo.hpp"
#include "com/sun/star/beans/XPropertyState.hpp"
#include "com/sun/star/container/XChild.hpp"
#include "com/sun/star/container/XEnumerationAccess.hpp"
#include "com/sun/star/container/XHierarchicalNameAccess.hpp"
#include "com/sun/star/container/XIndexAccess.hpp"
#include "com/sun/star/container/XIndexContainer.hpp"
#include "com/sun/star/container/XIndexReplace.hpp"
#include "com/sun/star/container/XNameAccess.hpp"
#include "com/sun/star/container/XNameContainer.hpp"
#include "com/sun/star/container/XNameReplace.hpp"
#include "com/sun/star/container/XNamed.hpp"
#include "com/sun/star/document/PrinterIndependentLayout.hpp"
#include "com/sun/star/document/XDocumentInfoSupplier.hpp"
#include "com/sun/star/document/XEventBroadcaster.hpp"
#include "com/sun/star/document/XEventListener.hpp"
#include "com/sun/star/document/XEventsSupplier.hpp"
#include "com/sun/star/document/XExporter.hpp"
#include "com/sun/star/document/XExtendedFilterDetection.hpp"
#include "com/sun/star/document/XFilter.hpp"
#include "com/sun/star/document/XGraphicObjectResolver.hpp"
#include "com/sun/star/document/XImporter.hpp"
#include "com/sun/star/document/XLinkTargetSupplier.hpp"
#include "com/sun/star/document/XViewDataSupplier.hpp"
#include "com/sun/star/drawing/Alignment.hpp"
#include "com/sun/star/drawing/BezierPoint.hpp"
#include "com/sun/star/drawing/BitmapMode.hpp"
#include "com/sun/star/drawing/CircleKind.hpp"
#include "com/sun/star/drawing/DashStyle.hpp"
#include "com/sun/star/drawing/FillStyle.hpp"
#include "com/sun/star/drawing/FlagSequence.hpp"
#include "com/sun/star/drawing/Hatch.hpp"
#include "com/sun/star/drawing/HatchStyle.hpp"
#include "com/sun/star/drawing/LineDash.hpp"
#include "com/sun/star/drawing/LineEndType.hpp"
#include "com/sun/star/drawing/LineStyle.hpp"
#include "com/sun/star/drawing/PointSequence.hpp"
#include "com/sun/star/drawing/PolyPolygonBezierCoords.hpp"
#include "com/sun/star/drawing/PolygonFlags.hpp"
#include "com/sun/star/drawing/PolygonKind.hpp"
#include "com/sun/star/drawing/TextAdjust.hpp"
#include "com/sun/star/drawing/XConnectorShape.hpp"
#include "com/sun/star/drawing/XControlShape.hpp"
#include "com/sun/star/drawing/XDrawPage.hpp"
#include "com/sun/star/drawing/XDrawPageDuplicator.hpp"
#include "com/sun/star/drawing/XDrawPageSummarizer.hpp"
#include "com/sun/star/drawing/XDrawPages.hpp"
#include "com/sun/star/drawing/XDrawPagesSupplier.hpp"
#include "com/sun/star/drawing/XDrawView.hpp"
#include "com/sun/star/drawing/XLayer.hpp"
#include "com/sun/star/drawing/XLayerManager.hpp"
#include "com/sun/star/drawing/XLayerSupplier.hpp"
#include "com/sun/star/drawing/XMasterPageTarget.hpp"
#include "com/sun/star/drawing/XMasterPagesSupplier.hpp"
#include "com/sun/star/drawing/XShape.hpp"
#include "com/sun/star/drawing/XShapeDescriptor.hpp"
#include "com/sun/star/drawing/XShapeGrouper.hpp"
#include "com/sun/star/drawing/XShapes.hpp"
#include "com/sun/star/drawing/XUniversalShapeDescriptor.hpp"
#include "com/sun/star/embed/Aspects.hpp"
#include "com/sun/star/embed/ElementModes.hpp"
#include "com/sun/star/embed/EmbedMisc.hpp"
#include "com/sun/star/embed/EmbedStates.hpp"
#include "com/sun/star/embed/NoVisualAreaSizeException.hpp"
#include "com/sun/star/embed/VerbAttributes.hpp"
#include "com/sun/star/embed/VerbDescriptor.hpp"
#include "com/sun/star/embed/XEmbedObjectClipboardCreator.hpp"
#include "com/sun/star/embed/XEmbedPersist.hpp"
#include "com/sun/star/embed/XTransactedObject.hpp"
#include "com/sun/star/embed/XVisualObject.hpp"
#include "com/sun/star/form/FormButtonType.hpp"
#include "com/sun/star/frame/DispatchDescriptor.hpp"
#include "com/sun/star/frame/DispatchResultState.hpp"
#include "com/sun/star/frame/FeatureStateEvent.hpp"
#include "com/sun/star/frame/FrameAction.hpp"
#include "com/sun/star/frame/FrameActionEvent.hpp"
#include "com/sun/star/frame/LayoutManagerEvents.hpp"
#include "com/sun/star/frame/XComponentLoader.hpp"
#include "com/sun/star/frame/XController.hpp"
#include "com/sun/star/frame/XDesktop.hpp"
#include "com/sun/star/frame/XDispatch.hpp"
#include "com/sun/star/frame/XDispatchProvider.hpp"
#include "com/sun/star/frame/XDocumentTemplates.hpp"
#include "com/sun/star/frame/XFrame.hdl"
#include "com/sun/star/frame/XFrame.hpp"
#include "com/sun/star/frame/XFrameActionListener.hpp"
#include "com/sun/star/frame/XLayoutManager.hpp"
#include "com/sun/star/frame/XLayoutManagerEventBroadcaster.hpp"
#include "com/sun/star/frame/XModel.hdl"
#include "com/sun/star/frame/XModel.hpp"
#include "com/sun/star/frame/XModuleManager.hpp"
#include "com/sun/star/frame/XNotifyingDispatch.hpp"
#include "com/sun/star/frame/XStatusListener.hpp"
#include "com/sun/star/frame/XStorable.hpp"
#include "com/sun/star/geometry/AffineMatrix2D.hdl"
#include "com/sun/star/geometry/AffineMatrix2D.hpp"
#include "com/sun/star/graphic/GraphicType.hpp"
#include "com/sun/star/graphic/XGraphicProvider.hpp"
#include "com/sun/star/i18n/CharacterIteratorMode.hdl"
#include "com/sun/star/i18n/CharacterIteratorMode.hpp"
#include "com/sun/star/i18n/ScriptType.hdl"
#include "com/sun/star/i18n/ScriptType.hpp"
#include "com/sun/star/i18n/TextConversionOption.hpp"
#include "com/sun/star/i18n/TransliterationModules.hdl"
#include "com/sun/star/i18n/WordType.hpp"
#include "com/sun/star/i18n/XBreakIterator.hpp"
#include "com/sun/star/i18n/XCollator.hpp"
#include "com/sun/star/i18n/XForbiddenCharacters.hpp"
#include "com/sun/star/io/XActiveDataControl.hpp"
#include "com/sun/star/io/XActiveDataSource.hpp"
#include "com/sun/star/io/XInputStream.hpp"
#include "com/sun/star/io/XStream.hpp"
#include "com/sun/star/lang/DisposedException.hpp"
#include "com/sun/star/lang/EventObject.hpp"
#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/lang/IndexOutOfBoundsException.hpp"
#include "com/sun/star/lang/Locale.hpp"
#include "com/sun/star/lang/NoSupportException.hpp"
#include "com/sun/star/lang/ServiceNotRegisteredException.hpp"
#include "com/sun/star/lang/WrappedTargetRuntimeException.hpp"
#include "com/sun/star/lang/XComponent.hpp"
#include "com/sun/star/lang/XEventListener.hdl"
#include "com/sun/star/lang/XEventListener.hpp"
#include "com/sun/star/lang/XInitialization.hpp"
#include "com/sun/star/lang/XMultiServiceFactory.hpp"
#include "com/sun/star/lang/XServiceInfo.hpp"
#include "com/sun/star/lang/XSingleServiceFactory.hpp"
#include "com/sun/star/lang/XTypeProvider.hpp"
#include "com/sun/star/lang/XUnoTunnel.hpp"
#include "com/sun/star/linguistic2/XHyphenator.hpp"
#include "com/sun/star/linguistic2/XSpellChecker1.hpp"
#include "com/sun/star/linguistic2/XThesaurus.hpp"
#include "com/sun/star/media/XManager.hpp"
#include "com/sun/star/media/XPlayer.hpp"
#include "com/sun/star/packages/zip/ZipIOException.hpp"
#include "com/sun/star/presentation/AnimationEffect.hpp"
#include "com/sun/star/presentation/AnimationSpeed.hpp"
#include "com/sun/star/presentation/ClickAction.hpp"
#include "com/sun/star/presentation/EffectCommands.hpp"
#include "com/sun/star/presentation/EffectNodeType.hpp"
#include "com/sun/star/presentation/EffectPresetClass.hpp"
#include "com/sun/star/presentation/FadeEffect.hpp"
#include "com/sun/star/presentation/ParagraphTarget.hpp"
#include "com/sun/star/presentation/PresentationRange.hpp"
#include "com/sun/star/presentation/ShapeAnimationSubType.hpp"
#include "com/sun/star/presentation/TextAnimationType.hpp"
#include "com/sun/star/presentation/XCustomPresentationSupplier.hpp"
#include "com/sun/star/presentation/XHandoutMasterSupplier.hpp"
#include "com/sun/star/presentation/XPresentation.hpp"
#include "com/sun/star/presentation/XPresentationPage.hpp"
#include "com/sun/star/presentation/XPresentationSupplier.hpp"
#include "com/sun/star/registry/XRegistryKey.hpp"
#include "com/sun/star/rendering/XSpriteCanvas.hpp"
#include "com/sun/star/scanner/XScannerManager.hpp"
#include "com/sun/star/sdbc/XResultSet.hpp"
#include "com/sun/star/sdbc/XRow.hpp"
#include "com/sun/star/style/LineSpacing.hpp"
#include "com/sun/star/style/LineSpacingMode.hpp"
#include "com/sun/star/style/ParagraphAdjust.hpp"
#include "com/sun/star/style/TabStop.hpp"
#include "com/sun/star/style/VerticalAlignment.hpp"
#include "com/sun/star/style/XStyle.hpp"
#include "com/sun/star/style/XStyleFamiliesSupplier.hpp"
#include "com/sun/star/task/XInteractionHandler.hpp"
#include "com/sun/star/task/XStatusIndicator.hpp"
#include "com/sun/star/task/XStatusIndicatorFactory.hpp"
#include "com/sun/star/task/XStatusIndicatorSupplier.hpp"
#include "com/sun/star/text/FontRelief.hpp"
#include "com/sun/star/text/WritingMode.hpp"
#include "com/sun/star/text/XSimpleText.hpp"
#include "com/sun/star/text/XText.hpp"
#include "com/sun/star/text/XTextField.hpp"
#include "com/sun/star/text/XTextFieldsSupplier.hpp"
#include "com/sun/star/text/XTextRange.hpp"
#include "com/sun/star/text/XTextRangeCompare.hpp"
#include "com/sun/star/text/XTextViewCursor.hpp"
#include "com/sun/star/ucb/CommandAbortedException.hpp"
#include "com/sun/star/ucb/InteractiveAppException.hpp"
#include "com/sun/star/ucb/XAnyCompareFactory.hpp"
#include "com/sun/star/ucb/XCommandEnvironment.hpp"
#include "com/sun/star/ucb/XContent.hpp"
#include "com/sun/star/ucb/XContentAccess.hpp"
#include "com/sun/star/ucb/XSimpleFileAccess.hpp"
#include "com/sun/star/ucb/XSimpleFileAccess2.hpp"
#include "com/sun/star/ui/UIElementType.hpp"
#include "com/sun/star/ui/XImageManager.hpp"
#include "com/sun/star/ui/XModuleUIConfigurationManagerSupplier.hpp"
#include "com/sun/star/ui/dialogs/CommonFilePickerElementIds.hpp"
#include "com/sun/star/ui/dialogs/ExecutableDialogResults.hpp"
#include "com/sun/star/ui/dialogs/ExtendedFilePickerElementIds.hpp"
#include "com/sun/star/ui/dialogs/ListboxControlActions.hpp"
#include "com/sun/star/ui/dialogs/TemplateDescription.hpp"
#include "com/sun/star/ui/dialogs/XExecutableDialog.hpp"
#include "com/sun/star/ui/dialogs/XFilePicker.hpp"
#include "com/sun/star/ui/dialogs/XFilePickerControlAccess.hpp"
#include "com/sun/star/ui/dialogs/XFilePickerListener.hpp"
#include "com/sun/star/ui/dialogs/XFilePickerNotifier.hpp"
#include "com/sun/star/ui/dialogs/XFilterManager.hpp"
#include "com/sun/star/uno/Any.h"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/Reference.h"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/RuntimeException.hdl"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/Sequence.h"
#include "com/sun/star/uno/Sequence.hxx"
#include "com/sun/star/uno/Type.hxx"
#include "com/sun/star/uno/XInterface.hdl"
#include "com/sun/star/uno/XInterface.hpp"
#include "com/sun/star/uri/XUriReferenceFactory.hpp"
#include "com/sun/star/uri/XVndSunStarScriptUrl.hpp"
#include "com/sun/star/util/MeasureUnit.hpp"
#include "com/sun/star/util/XArchiver.hpp"
#include "com/sun/star/util/XChangesListener.hpp"
#include "com/sun/star/util/XChangesNotifier.hpp"
#include "com/sun/star/util/XCloneable.hpp"
#include "com/sun/star/util/XCloseable.hpp"
#include "com/sun/star/util/XModifyListener.hpp"
#include "com/sun/star/util/XReplaceDescriptor.hpp"
#include "com/sun/star/util/XReplaceable.hpp"
#include "com/sun/star/util/XSearchDescriptor.hpp"
#include "com/sun/star/util/XSearchable.hpp"
#include "com/sun/star/util/XURLTransformer.hpp"
#include "com/sun/star/view/DocumentZoomType.hpp"
#include "com/sun/star/view/PaperFormat.hpp"
#include "com/sun/star/view/PaperOrientation.hpp"
#include "com/sun/star/view/XRenderable.hpp"
#include "com/sun/star/view/XScreenCursor.hpp"
#include "com/sun/star/view/XSelectionSupplier.hpp"
#include "com/sun/star/xml/sax/InputSource.hpp"
#include "com/sun/star/xml/sax/SAXParseException.hdl"
#include "com/sun/star/xml/sax/SAXParseException.hpp"
#include "com/sun/star/xml/sax/XDTDHandler.hpp"
#include "com/sun/star/xml/sax/XDocumentHandler.hpp"
#include "com/sun/star/xml/sax/XEntityResolver.hpp"
#include "com/sun/star/xml/sax/XErrorHandler.hpp"
#include "com/sun/star/xml/sax/XParser.hpp"

#include "comphelper/accessibleeventnotifier.hxx"
#include "comphelper/anytostring.hxx"
#include "comphelper/broadcasthelper.hxx"
#include "comphelper/documentconstants.hxx"
#include "comphelper/implementationreference.hxx"
#include "comphelper/listenernotification.hxx"
#include "comphelper/processfactory.hxx"
#include "comphelper/propertysethelper.hxx"
#include "comphelper/sequence.hxx"
#include "comphelper/stl_types.hxx"
#include "comphelper/storagehelper.hxx"
#include "comphelper/uno3.hxx"

#include "cppcanvas/basegfxfactory.hxx"
#include "cppcanvas/spritecanvas.hxx"
#include "cppcanvas/vclfactory.hxx"

#include "cppu/macros.hxx"
#include "cppu/unotype.hxx"

#include "cppuhelper/bootstrap.hxx"
#include "cppuhelper/exc_hlp.hxx"
#include "cppuhelper/factory.hxx"
#include "cppuhelper/interfacecontainer.h"
#include "cppuhelper/propshlp.hxx"
#include "cppuhelper/weak.hxx"
#include "cppuhelper/weakref.hxx"


#include "svtools/grfmgr.hxx"

#include "helper/simplereferencecomponent.hxx"

#include "i18npool/mslangid.hxx"

#include "misc/scopelock.hxx"

#include "osl/diagnose.h"
#include "osl/doublecheckedlocking.h"
#include "osl/endian.h"
#include "osl/file.hxx"
#include "osl/getglobalmutex.hxx"
#include "osl/interlck.h"
#include "osl/module.hxx"
#include "osl/mutex.hxx"
#include "osl/thread.hxx"

#include "rsc/rscsfx.hxx"

#include "rtl/crc.h"
#include "rtl/logfile.hxx"
#include "rtl/math.hxx"
#include "rtl/memory.h"
#include "rtl/tencinfo.h"
#include "rtl/textenc.h"
#include "rtl/ustrbuf.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "rtl/uuid.h"

#include "sfx2/app.hxx"
#include "sfx2/basedlgs.hxx"
#include "sfx2/bindings.hxx"
#include "sfx2/childwin.hxx"
#include "sfx2/ctrlitem.hxx"
#include "sfx2/dispatch.hxx"
#include "sfx2/docfac.hxx"
#include "sfx2/docfilt.hxx"
#include "sfx2/dockwin.hxx"
#include "sfx2/doctempl.hxx"
#include "sfx2/event.hxx"
#include "sfx2/fcontnr.hxx"
#include "sfx2/filedlghelper.hxx"
#include "sfx2/frame.hxx"
#include "sfx2/imagemgr.hxx"
#include "sfx2/imgmgr.hxx"
#include "sfx2/ipclient.hxx"
#include "sfx2/lnkbase.hxx"
#include "sfx2/mnumgr.hxx"
#include "sfx2/module.hxx"
#include "sfx2/msg.hxx"
#include "sfx2/new.hxx"
#include "sfx2/objface.hxx"
#include "sfx2/objsh.hxx"
#include "sfx2/printer.hxx"
#include "sfx2/progress.hxx"
#include "sfx2/request.hxx"
#include "sfx2/sfx.hrc"
#include "sfx2/sfxbasecontroller.hxx"
#include "sfx2/sfxbasemodel.hxx"
#include "sfx2/sfxdefs.hxx"
#include "sfx2/sfxdlg.hxx"
#include "sfx2/sfxsids.hrc"
#include "sfx2/sfxuno.hxx"
#include "sfx2/shell.hxx"
#include "sfx2/styledlg.hxx"
#include "sfx2/tabdlg.hxx"
#include "sfx2/tbxctrl.hxx"
#include "sfx2/templdlg.hxx"
#include "sfx2/tplpitem.hxx"
#include "sfx2/viewfac.hxx"
#include "sfx2/viewfrm.hxx"
#include "sfx2/viewsh.hxx"

#include "sot/clsids.hxx"
#include "sot/exchange.hxx"
#include "sot/filelist.hxx"
#include "sot/formats.hxx"
#include "sot/object.hxx"
#include "sot/storage.hxx"
#include "sot/storinfo.hxx"

#include "svtools/FilterConfigItem.hxx"
#include "svl/aeitem.hxx"
#include "svl/brdcst.hxx"
#include "svtools/colorcfg.hxx"
#include "svtools/colrdlg.hxx"
#include "svtools/controldims.hrc"
#include "svl/ctloptions.hxx"
#include "svtools/ctrlbox.hxx"
#include "svtools/ctrltool.hxx"
#include "svtools/ehdl.hxx"
#include "svl/eitem.hxx"
#include "svtools/filedlg.hxx"
#include "svtools/filter.hxx"
#include "svl/flagitem.hxx"
#include "svtools/fltcall.hxx"
#include "unotools/fltrcfg.hxx"
#include "svl/globalnameitem.hxx"
#include "svl/hint.hxx"
#include "unotools/historyoptions.hxx"
#include "svtools/htmlout.hxx"
#include "svtools/imap.hxx"
#include "svtools/imapcirc.hxx"
#include "svtools/imapobj.hxx"
#include "svtools/imappoly.hxx"
#include "svtools/imaprect.hxx"
#include "svl/inethist.hxx"
#include "svl/intitem.hxx"
#include "svl/itemiter.hxx"
#include "svl/itempool.hxx"
#include "svl/itemset.hxx"
#include "svl/languageoptions.hxx"
#include "svl/lckbitem.hxx"
#include "unotools/lingucfg.hxx"
#include "unotools/linguprops.hxx"
#include "svl/listener.hxx"
#include "svl/lstner.hxx"
#include "unotools/misccfg.hxx"
#include "unotools/pathoptions.hxx"
#include "svl/poolitem.hxx"
#include "svtools/prgsbar.hxx"
#include "svl/ptitem.hxx"
#include "svl/rectitem.hxx"
#include "unotools/saveopt.hxx"
#include "svtools/sfxecode.hxx"
#include "svl/slstitm.hxx"
#include "svl/smplhint.hxx"
#include "svtools/soerr.hxx"
#include "svl/solar.hrc"
#include "svtools/sores.hxx"
#include "svtools/stdctrl.hxx"
#include "svl/stritem.hxx"
#include "svl/style.hrc"
#include "svl/style.hxx"
#include "svtools/svmedit.hxx"
#include "svl/svstdarr.hxx"
#include "unotools/syslocale.hxx"
#include "svtools/tabbar.hxx"
#include "svtools/treelist.hxx"
#include "svl/undo.hxx"
#include "svtools/unoimap.hxx"
#include "svl/urihelper.hxx"
#include "svl/urlbmk.hxx"
#include "unotools/useroptions.hxx"
#include "svtools/valueset.hxx"
#include "unotools/viewoptions.hxx"
#include "svl/visitem.hxx"
#include "svl/whiter.hxx"
#include "svtools/wmf.hxx"
#include "svl/zforlist.hxx"


#include "svx/SpellDialogChildWindow.hxx"
#include "editeng/SpellPortions.hxx"
#include "svx/UnoNamespaceMap.hxx"
#include "editeng/adjitem.hxx"
#include "svx/algitem.hxx"
#include "svx/bmpmask.hxx"
#include "editeng/boxitem.hxx"
#include "editeng/brshitem.hxx"
#include "editeng/bulitem.hxx"
#include "svx/camera3d.hxx"
#include "editeng/charreliefitem.hxx"
#include "svx/clipboardctl.hxx"
#include "svx/clipfmtitem.hxx"
#include "editeng/cntritem.hxx"
#include "editeng/colritem.hxx"
#include "editeng/crsditem.hxx"
#include "svx/cube3d.hxx"
#include "svx/dataaccessdescriptor.hxx"
#include "svx/dbexch.hrc"
#include "svx/dialmgr.hxx"
#include "svx/dialogs.hrc"
#include "svx/dlgctrl.hxx"
#include "svx/e3dundo.hxx"
#include "editeng/editdata.hxx"
#include "editeng/editeng.hxx"
#include "editeng/editobj.hxx"
#include "editeng/editstat.hxx"
#include "editeng/editund2.hxx"
#include "editeng/editview.hxx"
#include "editeng/eeitem.hxx"
#include "filter/msfilter/escherex.hxx"
#include "editeng/escpitem.hxx"
#include "svx/extrusionbar.hxx"
#include "svx/f3dchild.hxx"
#include "editeng/fhgtitem.hxx"
#include "svx/fillctrl.hxx"
#include "svx/flagsdef.hxx"
#include "editeng/flditem.hxx"
#include "editeng/flstitem.hxx"
#include "svx/fmdmod.hxx"
#include "svx/fmglob.hxx"
#include "svx/fmobjfac.hxx"
#include "svx/fmpage.hxx"
#include "svx/fntctl.hxx"
#include "svx/fntszctl.hxx"
#include "editeng/fontitem.hxx"
#include "svx/fontwork.hxx"
#include "svx/fontworkbar.hxx"
#include "svx/fontworkgallery.hxx"
#include "editeng/forbiddencharacterstable.hxx"
#include "svx/formatpaintbrushctrl.hxx"
#include "editeng/frmdiritem.hxx"
#include "svx/galbrws.hxx"
#include "svx/gallery.hxx"
#include "svx/globl3d.hxx"
#include "svx/globlmn.hrc"
#include "svx/grafctrl.hxx"
#include "svx/hlnkitem.hxx"
#include "svx/hyperdlg.hxx"
#include "svx/imapdlg.hxx"
#include "svx/itemwin.hxx"
#include "svx/langbox.hxx"
#include "editeng/langitem.hxx"
#include "svx/lathe3d.hxx"
#include "svx/lboxctrl.hxx"
#include "svx/linectrl.hxx"
#include "sfx2/linkmgr.hxx"
#include "editeng/lrspitem.hxx"
#include "editeng/lspcitem.hxx"
#include "svx/modctrl.hxx"
#include "svx/msdffdef.hxx"
#include "filter/msfilter/msocximex.hxx"
#include "filter/msfilter/msoleexp.hxx"
#include "editeng/numitem.hxx"
#include "svx/obj3d.hxx"
#include "svx/objfac3d.hxx"
#include "svx/ofaitem.hxx"
#include "sfx2/opengrf.hxx"
#include "svx/optgrid.hxx"
#include "editeng/outliner.hxx"
#include "editeng/outlobj.hxx"
#include "editeng/paperinf.hxx"
#include "editeng/pbinitem.hxx"
#include "svx/pfiledlg.hxx"
#include "svx/polysc3d.hxx"
#include "svx/postattr.hxx"
#include "editeng/postitem.hxx"
#include "editeng/protitem.hxx"
#include "svx/prtqry.hxx"
#include "svx/pszctrl.hxx"
#include "svx/rectenum.hxx"
#include "svx/ruler.hxx"
#include "svx/rulritem.hxx"
#include "svx/scene3d.hxx"
#include "editeng/scriptspaceitem.hxx"
#include "editeng/scripttypeitem.hxx"
#include "svx/sdasitm.hxx"
#include "svx/sderitm.hxx"
#include "svx/sdr/contact/displayinfo.hxx"
#include "svx/sdr/contact/objectcontact.hxx"
#include "svx/sdr/contact/objectcontactofobjlistpainter.hxx"
#include "svx/sdr/contact/objectcontactofpageview.hxx"
#include "svx/sdr/contact/viewcontact.hxx"
#include "svx/sdr/contact/viewcontactofpageobj.hxx"
#include "svx/sdr/contact/viewcontactofsdrmediaobj.hxx"
#include "svx/sdr/contact/viewobjectcontact.hxx"
#include "svx/sdrobjectuser.hxx"
#include "svx/sdshcitm.hxx"
#include "svx/sdshitm.hxx"
#include "svx/sdtagitm.hxx"
#include "svx/sdtakitm.hxx"
#include "svx/sdtmfitm.hxx"
#include "editeng/shaditem.hxx"
#include "editeng/shdditem.hxx"
#include "svx/sphere3d.hxx"
#include "svx/srchdlg.hxx"
#include "svx/strarray.hxx"
#include "svx/svdattr.hxx"
#include "svx/svddef.hxx"
#include "svx/svdetc.hxx"
#include "editeng/measfld.hxx"
#include "svx/svdglue.hxx"
#include "svx/svditer.hxx"
#include "svx/svdlayer.hxx"
#include "svx/svdmark.hxx"
#include "svx/svdoashp.hxx"
#include "svx/svdoattr.hxx"
#include "svx/svdobj.hxx"
#include "svx/svdocapt.hxx"
#include "svx/svdocirc.hxx"
#include "svx/svdograf.hxx"
#include "svx/svdogrp.hxx"
#include "svx/svdomeas.hxx"
#include "svx/svdomedia.hxx"
#include "svx/svdoole2.hxx"
#include "svx/svdopage.hxx"
#include "svx/svdopath.hxx"
#include "svx/svdorect.hxx"
#include "svx/svdotext.hxx"
#include "svx/svdouno.hxx"
#include "svx/svdoutl.hxx"
#include "svx/svdpage.hxx"
#include "svx/svdpntv.hxx"
#include "svx/svdpool.hxx"
#include "svx/svdsob.hxx"
#include "svx/svdtypes.hxx"
#include "svx/svdundo.hxx"
#include "svx/svdviter.hxx"
#include "svx/svx3ditems.hxx"
#include "svx/svxdlg.hxx"
#include "editeng/svxenum.hxx"
#include "svx/svxerr.hxx"
#include "editeng/svxfont.hxx"
#include "svx/svxgrahicitem.hxx"
#include "svx/svxids.hrc"
#include "filter/msfilter/svxmsbas.hxx"
#include "svx/sxciaitm.hxx"
#include "svx/sxekitm.hxx"
#include "svx/sxelditm.hxx"
#include "svx/tabarea.hxx"
#include "svx/tabline.hxx"
#include "svx/tbcontrl.hxx"
#include "svx/tbxcolor.hxx"
#include "svx/tbxcustomshapes.hxx"
#include "editeng/tstpitem.hxx"
#include "editeng/udlnitem.hxx"
#include "editeng/ulspitem.hxx"
#include "svx/unoapi.hxx"
#include "editeng/unoedhlp.hxx"
#include "editeng/unoedsrc.hxx"
#include "svx/unofill.hxx"
#include "editeng/unoforou.hxx"
#include "editeng/unoipset.hxx"
#include "editeng/unolingu.hxx"
#include "svx/unomaster.hxx"
#include "svx/unomodel.hxx"
#include "editeng/unonrule.hxx"
#include "editeng/unoviwou.hxx"
#include "svx/verttexttbxctrl.hxx"
#include "editeng/wghtitem.hxx"
#include "editeng/writingmodeitem.hxx"
#include "svx/xbtmpit.hxx"
#include "svx/xcolit.hxx"
#include "svx/xdash.hxx"
#include "svx/xdef.hxx"
#include "svx/xenum.hxx"
#include "svx/xexch.hxx"
#include "svx/xfillit.hxx"
#include "svx/xfillit0.hxx"
#include "svx/xflbmtit.hxx"
#include "svx/xflbstit.hxx"
#include "svx/xflclit.hxx"
#include "svx/xflgrit.hxx"
#include "svx/xflhtit.hxx"
#include "svx/xftadit.hxx"
#include "svx/xftdiit.hxx"
#include "svx/xftmrit.hxx"
#include "svx/xftouit.hxx"
#include "svx/xftsfit.hxx"
#include "svx/xftshcit.hxx"
#include "svx/xftshit.hxx"
#include "svx/xftshxy.hxx"
#include "svx/xftstit.hxx"
#include "svx/xgrad.hxx"
#include "svx/xit.hxx"
#include "svx/xlineit.hxx"
#include "svx/xlineit0.hxx"
#include "svx/xlnclit.hxx"
#include "svx/xlndsit.hxx"
#include "svx/xlnedcit.hxx"
#include "svx/xlnedit.hxx"
#include "svx/xlnedwit.hxx"
#include "svx/xlnstcit.hxx"
#include "svx/xlnstit.hxx"
#include "svx/xlnstwit.hxx"
#include "svx/xlnwtit.hxx"
#include "editeng/xmlcnitm.hxx"
#include "svx/xmlsecctrl.hxx"
#include "svx/xoutbmp.hxx"
#include "svx/xpoly.hxx"
#include "svx/xtable.hxx"
#include "svx/xtextit0.hxx"
#include "svx/zoom_def.hxx"
#include "svx/zoomctrl.hxx"
#include "svx/zoomitem.hxx"

#include "toolkit/awt/vclxdevice.hxx"
#include "toolkit/helper/vclunohelper.hxx"
#include "toolkit/unohlp.hxx"

#include "tools/bigint.hxx"
#include "tools/color.hxx"
#include "tools/config.hxx"
#include "tools/contnr.hxx"
#include "tools/datetime.hxx"
#include "tools/debug.hxx"
#include "tools/errcode.hxx"
#include "tools/errinf.hxx"
#include "tools/fract.hxx"
#include "tools/fsys.hxx"
#include "tools/gen.hxx"
#include "tools/globname.hxx"
#include "tools/link.hxx"
#include "tools/multisel.hxx"
#include "tools/poly.hxx"
#include "tools/pstm.hxx"
#include "tools/rc.hxx"
#include "tools/ref.hxx"
#include "tools/resid.hxx"
#include "tools/resmgr.hxx"
#include "tools/rtti.hxx"
#include "tools/shl.hxx"
#include "tools/solar.h"
#include "tools/stream.hxx"
#include "tools/string.hxx"
#include "tools/tenccvt.hxx"
#include "tools/time.hxx"
#include "tools/urlobj.hxx"
#include "tools/weakbase.hxx"
#include "tools/zcodec.hxx"

#include "ucbhelper/content.hxx"
#include "ucbhelper/contentbroker.hxx"

#include "uno/lbnames.h"

#include "unotools/charclass.hxx"
#include "unotools/configitem.hxx"
#include "unotools/confignode.hxx"
#include "unotools/localedatawrapper.hxx"
#include "unotools/localfilehelper.hxx"
#include "comphelper/servicehelper.hxx"
#include "unotools/tempfile.hxx"
#include "unotools/ucbstreamhelper.hxx"

#include "vcl/bitmap.hxx"
#include "vcl/bitmapex.hxx"
#include "vcl/bmpacc.hxx"
#include "vcl/button.hxx"
#include "vcl/canvastools.hxx"
#include "vcl/combobox.hxx"
#include "vcl/ctrl.hxx"
#include "vcl/cursor.hxx"
#include "vcl/cvtgrf.hxx"
#include "vcl/decoview.hxx"
#include "vcl/dialog.hxx"
#include "vcl/dockwin.hxx"
#include "vcl/edit.hxx"
#include "vcl/event.hxx"
#include "vcl/field.hxx"
#include "vcl/fixed.hxx"
#include "vcl/font.hxx"
#include "unotools/fontcvt.hxx"
#include "vcl/gdimtf.hxx"
#include "vcl/gfxlink.hxx"
#include "vcl/gradient.hxx"
#include "vcl/graph.hxx"
#include "vcl/group.hxx"
#include "vcl/help.hxx"
#include "vcl/image.hxx"
#include "vcl/button.hxx"
#include "vcl/jobset.hxx"
#include "vcl/lineinfo.hxx"
#include "vcl/lstbox.hxx"
#include "vcl/mapmod.hxx"
#include "vcl/menu.hxx"
#include "vcl/menubtn.hxx"
#include "vcl/metaact.hxx"
#include "vcl/metric.hxx"
#include "vcl/mnemonic.hxx"
#include "vcl/msgbox.hxx"
#include "vcl/outdev.hxx"
#include "vcl/pdfextoutdevdata.hxx"
#include "vcl/pngread.hxx"
#include "vcl/pngwrite.hxx"
#include "vcl/pointr.hxx"
#include "vcl/print.hxx"
#include "vcl/prntypes.hxx"
#include "vcl/region.hxx"
#include "vcl/salbtype.hxx"
#include "vcl/scrbar.hxx"
#include "vcl/seleng.hxx"
#include "vcl/settings.hxx"
#include "vcl/sound.hxx"
#include "vcl/split.hxx"
#include "vcl/status.hxx"
#include "vcl/svapp.hxx"
#include "vcl/tabctrl.hxx"
#include "vcl/tabdlg.hxx"
#include "vcl/tabpage.hxx"
#include "vcl/taskpanelist.hxx"
#include "vcl/timer.hxx"
#include "vcl/toolbox.hxx"
#include "vcl/vclenum.hxx"
#include "vcl/virdev.hxx"
#include "vcl/waitobj.hxx"
#include "vcl/window.hxx"
#include "tools/wintypes.hxx"
#include "vcl/wrkwin.hxx"

#include "osl/diagnose.h"
#include "osl/module.hxx"
#include "osl/mutex.hxx"
#include "osl/process.h"
//---MARKER---

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
