/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2000, 2010 Oracle and/or its affiliates.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef SD_SDCOMMANDS_HRC
#define SD_SDCOMMANDS_HRC

#define CMD_SID_OBJECT_MIRROR                       ".uno:Mirror"
#define CMD_SID_OBJECT_CHOOSE_MODE                  ".uno:AdvancedMode"
#define CMD_SID_ANIMATION_EFFECTS                   ".uno:AnimationEffects"
#define CMD_SID_ANIMATION_OBJECTS                   ".uno:AnimationObjects"
#define CMD_SID_ANIMATOR_ADD                        ".uno:AnimatorAddObject"
#define CMD_SID_ANIMATOR_CREATE                     ".uno:AnimatorCreateObject"
#define CMD_SID_ANIMATOR_INIT                       ".uno:AnimatorInit"
#define CMD_SID_ANIMATOR_STATE                      ".uno:AnimatorState"
#define CMD_SID_DRAWTBX_ARROWS                      ".uno:ArrowsToolbox"
#define CMD_SID_MOREBACK                            ".uno:Backward"
#define CMD_SID_BEFORE_OBJ                          ".uno:BeforeObject"
#define CMD_SID_BEHIND_OBJ                          ".uno:BehindObject"
#define CMD_SID_BIG_HANDLES                         ".uno:BigHandles"
#define CMD_SID_BREAK                               ".uno:Break"
#define CMD_SID_CAPTUREPOINT                        ".uno:CapturePoint"
#define CMD_SID_CHANGEBEZIER                        ".uno:ChangeBezier"
#define CMD_SID_CHANGEPOLYGON                       ".uno:ChangePolygon"
#define CMD_SID_CLICK_CHANGE_ROTATION               ".uno:ClickChangeRotation"
#define CMD_SID_OBJECT_CLOSE                        ".uno:CloseObject"
#define CMD_SID_COLORVIEW                           ".uno:ColorView"
#define CMD_SID_COMBINE                             ".uno:Combine"
#define CMD_SID_3D_CONE                             ".uno:Cone"
#define CMD_SID_CONNECT                             ".uno:Connect"
#define CMD_SID_TOOL_CONNECTOR                      ".uno:Connector"
#define CMD_SID_CONNECTOR_ARROW_END                 ".uno:ConnectorArrowEnd"
#define CMD_SID_CONNECTOR_ARROWS                    ".uno:ConnectorArrows"
#define CMD_SID_CONNECTOR_ARROW_START               ".uno:ConnectorArrowStart"
#define CMD_SID_CONNECTION_DLG                      ".uno:ConnectorAttributes"
#define CMD_SID_CONNECTOR_CIRCLE_END                ".uno:ConnectorCircleEnd"
#define CMD_SID_CONNECTOR_CIRCLES                   ".uno:ConnectorCircles"
#define CMD_SID_CONNECTOR_CIRCLE_START              ".uno:ConnectorCircleStart"
#define CMD_SID_CONNECTOR_CURVE                     ".uno:ConnectorCurve"
#define CMD_SID_CONNECTOR_CURVE_ARROW_END           ".uno:ConnectorCurveArrowEnd"
#define CMD_SID_CONNECTOR_CURVE_ARROWS              ".uno:ConnectorCurveArrows"
#define CMD_SID_CONNECTOR_CURVE_ARROW_START         ".uno:ConnectorCurveArrowStart"
#define CMD_SID_CONNECTOR_CURVE_CIRCLE_END          ".uno:ConnectorCurveCircleEnd"
#define CMD_SID_CONNECTOR_CURVE_CIRCLES             ".uno:ConnectorCurveCircles"
#define CMD_SID_CONNECTOR_CURVE_CIRCLE_START        ".uno:ConnectorCurveCircleStart"
#define CMD_SID_CONNECTOR_LINE                      ".uno:ConnectorLine"
#define CMD_SID_CONNECTOR_LINE_ARROW_END            ".uno:ConnectorLineArrowEnd"
#define CMD_SID_CONNECTOR_LINE_ARROWS               ".uno:ConnectorLineArrows"
#define CMD_SID_CONNECTOR_LINE_ARROW_START          ".uno:ConnectorLineArrowStart"
#define CMD_SID_CONNECTOR_LINE_CIRCLE_END           ".uno:ConnectorLineCircleEnd"
#define CMD_SID_CONNECTOR_LINE_CIRCLES              ".uno:ConnectorLineCircles"
#define CMD_SID_CONNECTOR_LINE_CIRCLE_START         ".uno:ConnectorLineCircleStart"
#define CMD_SID_CONNECTOR_LINES                     ".uno:ConnectorLines"
#define CMD_SID_CONNECTOR_LINES_ARROW_END           ".uno:ConnectorLinesArrowEnd"
#define CMD_SID_CONNECTOR_LINES_ARROWS              ".uno:ConnectorLinesArrows"
#define CMD_SID_CONNECTOR_LINES_ARROW_START         ".uno:ConnectorLinesArrowStart"
#define CMD_SID_CONNECTOR_LINES_CIRCLE_END          ".uno:ConnectorLinesCircleEnd"
#define CMD_SID_CONNECTOR_LINES_CIRCLES             ".uno:ConnectorLinesCircles"
#define CMD_SID_CONNECTOR_LINES_CIRCLE_START        ".uno:ConnectorLinesCircleStart"
#define CMD_SID_DRAWTBX_CONNECTORS                  ".uno:ConnectorToolbox"
#define CMD_SID_CONVERT_TO_CONTOUR                  ".uno:convert_to_contour"
#define CMD_SID_CONVERT_TO_3D                       ".uno:ConvertInto3D"
#define CMD_SID_CONVERT_TO_3D_LATHE                 ".uno:ConvertInto3DLathe"
#define CMD_SID_CONVERT_TO_3D_LATHE_FAST            ".uno:ConvertInto3DLatheFast"
#define CMD_SID_CONVERT_TO_BITMAP                   ".uno:ConvertIntoBitmap"
#define CMD_SID_CONVERT_TO_METAFILE                 ".uno:ConvertIntoMetaFile"
#define CMD_SID_CONVERT_TO_1BIT_MATRIX              ".uno:ConvertTo1BitMatrix"
#define CMD_SID_CONVERT_TO_1BIT_THRESHOLD           ".uno:ConvertTo1BitThreshold"
#define CMD_SID_CONVERT_TO_4BIT_COLORS              ".uno:ConvertTo4BitColors"
#define CMD_SID_CONVERT_TO_4BIT_GRAYS               ".uno:ConvertTo4BitGrays"
#define CMD_SID_CONVERT_TO_8BIT_COLORS              ".uno:ConvertTo8BitColors"
#define CMD_SID_CONVERT_TO_8BIT_GRAYS               ".uno:ConvertTo8BitGrays"
#define CMD_SID_CONVERT_TO_24BIT                    ".uno:ConvertToTrueColor"
#define CMD_SID_COPYOBJECTS                         ".uno:CopyObjects"
#define CMD_SID_OBJECT_CROOK_ROTATE                 ".uno:CrookRotate"
#define CMD_SID_OBJECT_CROOK_SLANT                  ".uno:CrookSlant"
#define CMD_SID_OBJECT_CROOK_STRETCH                ".uno:CrookStretch"
#define CMD_SID_3D_CUBE                             ".uno:Cube"
#define CMD_SID_CUSTOMSHOW_DLG                      ".uno:CustomShowDialog"
#define CMD_SID_3D_CYLINDER                         ".uno:Cylinder"
#define CMD_SID_3D_PYRAMID                          ".uno:Cyramid"
#define CMD_SID_DELETE_LAYER                        ".uno:DeleteLayer"
#define CMD_SID_DELETE_PAGE                         ".uno:DeletePage"
#define CMD_SID_DELETE_SNAPITEM                     ".uno:DeleteSnapItem"
#define CMD_SID_UNSELECT                            ".uno:DeSelect"
#define CMD_SID_DIAMODE                             ".uno:DiaMode"
#define CMD_SID_DISMANTLE                           ".uno:Dismantle"
#define CMD_SID_DOUBLECLICK_TEXTEDIT                ".uno:DoubleClickTextEdit"
#define CMD_SID_DRAWINGMODE                         ".uno:DrawingMode"
#define CMD_SID_DUPLICATE_PAGE                      ".uno:DuplicatePage"
#define CMD_SID_EDIT_HYPERLINK                      ".uno:EditHyperlink"
#define CMD_SID_EDIT_OUTLINER                       ".uno:EditOutline"
#define CMD_SID_CUSTOM_ANIMATION_PANEL              ".uno:CustomAnimation"
#define CMD_SID_CUSTOM_ANIMATION_SCHEMES_PANEL      ".uno:CustomAnimationSchemes"
#define CMD_SID_DRAWTBX_ELLIPSES                    ".uno:EllipseToolbox"
#define CMD_SID_EXPAND_PAGE                         ".uno:ExpandPage"
#define CMD_SID_SETFILLCOLOR                        ".uno:SetFillColor"
#define CMD_SID_MOREFRONT                           ".uno:Forward"
#define CMD_SID_GETBLUE                             ".uno:GetBlue"
#define CMD_SID_GETFILLSTYLE                        ".uno:GetFillStyle"
#define CMD_SID_GETGREEN                            ".uno:GetGreen"
#define CMD_SID_GETLINESTYLE                        ".uno:GetLineStyle"
#define CMD_SID_GETLINEWIDTH                        ".uno:GetLineWidth"
#define CMD_SID_GETRED                              ".uno:GetRed"
#define CMD_SID_GLUE_EDITMODE                       ".uno:GlueEditMode"
#define CMD_SID_GLUE_ESCDIR                         ".uno:GlueEscapeDirection"
#define CMD_SID_GLUE_ESCDIR_BOTTOM                  ".uno:GlueEscapeDirectionBottom"
#define CMD_SID_GLUE_ESCDIR_LEFT                    ".uno:GlueEscapeDirectionLeft"
#define CMD_SID_GLUE_ESCDIR_RIGHT                   ".uno:GlueEscapeDirectionRight"
#define CMD_SID_GLUE_ESCDIR_TOP                     ".uno:GlueEscapeDirectionTop"
#define CMD_SID_GLUE_HORZALIGN_CENTER               ".uno:GlueHorzAlignCenter"
#define CMD_SID_GLUE_HORZALIGN_LEFT                 ".uno:GlueHorzAlignLeft"
#define CMD_SID_GLUE_HORZALIGN_RIGHT                ".uno:GlueHorzAlignRight"
#define CMD_SID_GLUE_INSERT_POINT                   ".uno:GlueInsertPoint"
#define CMD_SID_GLUE_PERCENT                        ".uno:GluePercent"
#define CMD_SID_GLUE_VERTALIGN_BOTTOM               ".uno:GlueVertAlignBottom"
#define CMD_SID_GLUE_VERTALIGN_CENTER               ".uno:GlueVertAlignCenter"
#define CMD_SID_GLUE_VERTALIGN_TOP                  ".uno:GlueVertAlignTop"
#define CMD_SID_GRADIENT                            ".uno:Gradient"
#define CMD_SID_SETGRADENDCOLOR                     ".uno:GradientEndColor"
#define CMD_SID_SETGRADSTARTCOLOR                   ".uno:GradientStartColor"
#define CMD_SID_GRAPHIC_EXPORT                      ".uno:GraphicExport"
#define CMD_SID_GRID_FRONT                          ".uno:GridFront"
#define CMD_SID_3D_HALF_SPHERE                      ".uno:HalfSphere"
#define CMD_SID_HANDLES_DRAFT                       ".uno:HandlesDraft"
#define CMD_SID_HANDOUT_MASTERPAGE                  ".uno:HandoutMasterPage"
#define CMD_SID_HANDOUTMODE                         ".uno:HandoutMode"
#define CMD_SID_HATCH                               ".uno:Hatch"
#define CMD_SID_SETHATCHCOLOR                       ".uno:HatchColor"
#define CMD_SID_HELPLINES_FRONT                     ".uno:HelplinesFront"
#define CMD_SID_HELPLINES_USE                       ".uno:HelplinesUse"
#define CMD_SID_HELPLINES_VISIBLE                   ".uno:HelplinesVisible"
#define CMD_SID_HIDE_SLIDE                          ".uno:HideSlide"
#define CMD_SID_SHOW_SLIDE                          ".uno:ShowSlide"
#define CMD_SID_HYPHENATION                         ".uno:Hyphenation"
#define CMD_SID_INSERTFILE                          ".uno:ImportFromFile"
#define CMD_SID_INSERT_FLD_AUTHOR                   ".uno:InsertAuthorField"
#define CMD_SID_INSERT_FLD_DATE_FIX                 ".uno:InsertDateFieldFix"
#define CMD_SID_INSERT_FLD_DATE_VAR                 ".uno:InsertDateFieldVar"
#define CMD_SID_INSERT_FLD_FILE                     ".uno:InsertFileField"
#define CMD_SID_INSERTLAYER                         ".uno:InsertLayer"
#define CMD_SID_INSERTPAGE                          ".uno:InsertPage"
#define CMD_SID_INSERT_FLD_PAGE                     ".uno:InsertPageField"
#define CMD_SID_INSERT_FLD_PAGES                    ".uno:InsertPagesField"
#define CMD_SID_INSERTPAGE_QUICK                    ".uno:InsertPageQuick"
#define CMD_SID_INSERT_FLD_TIME_FIX                 ".uno:InsertTimeFieldFix"
#define CMD_SID_INSERT_FLD_TIME_VAR                 ".uno:InsertTimeFieldVar"
#define CMD_SID_DRAWTBX_INSERT                      ".uno:InsertToolbox"
#define CMD_SID_OBJECT_GRADIENT                     ".uno:InteractiveGradient"
#define CMD_SID_OBJECT_TRANSPARENCE                 ".uno:InteractiveTransparence"
#define CMD_SID_LAYERMODE                           ".uno:LayerMode"
#define CMD_SID_STATUS_LAYOUT                       ".uno:LayoutStatus"
#define CMD_SID_LEAVE_ALL_GROUPS                    ".uno:LeaveAllGroups"
#define CMD_SID_LINE_ARROW_CIRCLE                   ".uno:LineArrowCircle"
#define CMD_SID_LINE_ARROW_END                      ".uno:LineArrowEnd"
#define CMD_SID_LINE_ARROWS                         ".uno:LineArrows"
#define CMD_SID_LINE_ARROW_SQUARE                   ".uno:LineArrowSquare"
#define CMD_SID_LINE_ARROW_START                    ".uno:LineArrowStart"
#define CMD_SID_LINE_CIRCLE_ARROW                   ".uno:LineCircleArrow"
#define CMD_SID_SETLINECOLOR                        ".uno:LineColor"
#define CMD_SID_LINEEND_POLYGON                     ".uno:LineEndPolygon"
#define CMD_SID_LINE_SQUARE_ARROW                   ".uno:LineSquareArrow"
#define CMD_SID_LINETO                              ".uno:LineTo"
#define CMD_SID_DRAWTBX_LINES                       ".uno:LineToolbox"
#define CMD_SID_MANAGE_LINKS                        ".uno:ManageLinks"
#define CMD_SID_MASTERPAGE                          ".uno:MasterPage"
#define CMD_SID_MEASURE_DLG                         ".uno:MeasureAttributes"
#define CMD_SID_DRAW_MEASURELINE                    ".uno:MeasureLine"
#define CMD_SID_HORIZONTAL                          ".uno:MirrorHorz"
#define CMD_SID_VERTICAL                            ".uno:MirrorVert"
#define CMD_SID_MODIFY_FIELD                        ".uno:ModifyField"
#define CMD_SID_MODIFYLAYER                         ".uno:ModifyLayer"
#define CMD_SID_MODIFYPAGE                          ".uno:ModifyPage"
#define CMD_SID_ASSIGN_LAYOUT                       ".uno:AssignLayout"
#define CMD_SID_PRESENTATIONOBJECT                  ".uno:ModifyPresentationObject"
#define CMD_SID_POLYGON_MORPHING                    ".uno:Morphing"
#define CMD_SID_MOVETO                              ".uno:MoveTo"
#define CMD_SID_NAME_GROUP                          ".uno:NameGroup"
#define CMD_SID_OBJECT_TITLE_DESCRIPTION            ".uno:ObjectTitleDescription"
#define CMD_SID_NAVIGATOR_INIT                      ".uno:NavigatorInit"
#define CMD_SID_NAVIGATOR_OBJECT                    ".uno:NavigatorObject"
#define CMD_SID_NAVIGATOR_PAGE                      ".uno:NavigatorPage"
#define CMD_SID_NAVIGATOR_PAGENAME                  ".uno:NavigatorPageName"
#define CMD_SID_NAVIGATOR_PEN                       ".uno:NavigatorPen"
#define CMD_SID_NAVIGATOR_STATE                     ".uno:NavigatorState"
#define CMD_SID_CONNECTION_NEW_ROUTING              ".uno:NewRouting"
#define CMD_SID_NOTES_MASTERPAGE                    ".uno:NotesMasterPage"
#define CMD_SID_NOTESMODE                           ".uno:NotesMode"
#define CMD_SID_POSITION                            ".uno:ObjectPosition"
#define CMD_SID_DRAWTBX_3D_OBJECTS                  ".uno:Objects3DToolbox"
#define CMD_SID_ORIGINAL_SIZE                       ".uno:OriginalSize"
#define CMD_SID_SAVEGRAPHIC                         ".uno:SaveGraphic"
#define CMD_SID_OUTLINEMODE                         ".uno:OutlineMode"
#define CMD_SID_OUTLINE_TEXT_AUTOFIT                ".uno.OutlineTextAutofit"
#define CMD_SID_OUTPUT_QUALITY_BLACKWHITE           ".uno:OutputQualityBlackWhite"
#define CMD_SID_OUTPUT_QUALITY_COLOR                ".uno:OutputQualityColor"
#define CMD_SID_OUTPUT_QUALITY_CONTRAST             ".uno:OutputQualityContrast"
#define CMD_SID_OUTPUT_QUALITY_GRAYSCALE            ".uno:OutputQualityGrayscale"
#define CMD_SID_PACKNGO                             ".uno:PackAndGo"
#define CMD_SID_PAGEMARGIN                          ".uno:PageMargin"
#define CMD_SID_PAGEMODE                            ".uno:PageMode"
#define CMD_SID_PAGESETUP                           ".uno:PageSetup"
#define CMD_SID_PAGESIZE                            ".uno:PageSize"
#define CMD_SID_PAGES_PER_ROW                       ".uno:PagesPerRow"
#define CMD_SID_STATUS_PAGE                         ".uno:PageStatus"
#define CMD_SID_PARASPACE_DECREASE                  ".uno:ParaspaceDecrease"
#define CMD_SID_PARASPACE_INCREASE                  ".uno:ParaspaceIncrease"
#define CMD_SID_PICK_THROUGH                        ".uno:PickThrough"
#define CMD_SID_DRAW_POLYGON                        ".uno:Polygon"
#define CMD_SID_PRESENTATION                        ".uno:Presentation"
#define CMD_SID_PRESENTATION_DLG                    ".uno:PresentationDialog"
#define CMD_SID_PRESENTATION_END                    ".uno:PresentationEnd"
#define CMD_SID_CLEAR_UNDO_STACK                    ".uno:ClearUndoStack"
#define CMD_SID_PRESENTATION_LAYOUT                 ".uno:PresentationLayout"
#define CMD_SID_PREVIEW_STATE                       ".uno:PreviewState"
#define CMD_SID_PREVIEW_WIN                         ".uno:PreviewWindow"
#define CMD_SID_QUICKEDIT                           ".uno:QuickEdit"
#define CMD_SID_DRAWTBX_RECTANGLES                  ".uno:RectangleToolbox"
#define CMD_SID_REHEARSE_TIMINGS                    ".uno:RehearseTimings"
#define CMD_SID_RENAMELAYER                         ".uno:RenameLayer"
#define CMD_SID_RENAMEPAGE                          ".uno:RenamePage"
#define CMD_SID_RENAMEPAGE_QUICK                    ".uno:RenamePageQuick"
#define CMD_SID_REVERSE_ORDER                       ".uno:ReverseOrder"
#define CMD_SID_RULER_OBJECT                        ".uno:RulerObject"
#define CMD_SID_SELECTAT                            ".uno:SelectAt"
#define CMD_SID_SELECTGRADIENT                      ".uno:SelectGradient"
#define CMD_SID_SELECTHATCH                         ".uno:SelectHatch"
#define CMD_SID_SETFILLSTYLE                        ".uno:SetFillStyle"
#define CMD_SID_SETLINESTYLE                        ".uno:SetLineStyle"
#define CMD_SID_SETLINEWIDTH                        ".uno:SetLineWidth"
#define CMD_SID_SET_SNAPITEM                        ".uno:SetSnapItem"
#define CMD_SID_OBJECT_SHEAR                        ".uno:Shear"
#define CMD_SID_3D_SHELL                            ".uno:Shell3D"
#define CMD_SID_SLIDE_TRANSITIONS_PANEL             ".uno:SlideChangeWindow"
#define CMD_SID_SLIDE_MASTERPAGE                    ".uno:SlideMasterPage"
#define CMD_SID_SNAP_BORDER                         ".uno:SnapBorder"
#define CMD_SID_SNAP_FRAME                          ".uno:SnapFrame"
#define CMD_SID_SNAP_POINTS                         ".uno:SnapPoints"
#define CMD_SID_SOLID_CREATE                        ".uno:SolidCreate"
#define CMD_SID_3D_SPHERE                           ".uno:Sphere"
#define CMD_SID_STARTAPP                            ".uno:StartApplication"
#define CMD_SID_SUMMARY_PAGE                        ".uno:SummaryPage"
#define CMD_SID_SWITCHLAYER                         ".uno:SwitchLayer"
#define CMD_SID_SWITCHPAGE                          ".uno:SwitchPage"
#define CMD_SID_SWITCH_POINTEDIT                    ".uno:SwitchPointEdit"
#define CMD_SID_TEXTALIGNMENT                       ".uno:TextAlignment"
#define CMD_SID_TEXTATTR_DLG                        ".uno:TextAttributes"
#define CMD_SID_TEXT_FITTOSIZE                      ".uno:TextFitToSizeTool"
#define CMD_SID_DRAWTBX_TEXT                        ".uno:TextToolbox"
#define CMD_SID_TITLE_MASTERPAGE                    ".uno:TitleMasterPage"
#define CMD_SID_3D_TORUS                            ".uno:Torus"
#define CMD_SID_TEXT_FITTOSIZE_VERTICAL             ".uno:VerticalTextFitToSizeTool"
#define CMD_SID_ZOOM_PANNING                        ".uno:ZoomPanning"
#define CMD_SID_OBJECT_CROP                         ".uno:Crop"
#define CMD_SID_HEADER_AND_FOOTER                   ".uno:HeaderAndFooter"
#define CMD_SID_INSERT_PAGE_NUMBER                  ".uno:InsertPageNumber"
#define CMD_SID_INSERT_DATE_TIME                    ".uno:InsertDateAndTime"
#define CMD_SID_MASTER_LAYOUTS                      ".uno:MasterLayouts"
#define CMD_SID_DRAW_FONTWORK                       ".uno:DrawFontwork"
#define CMD_SID_DRAW_FONTWORK_VERTICAL              ".uno:DrawFontworkVertical"
#define CMD_SID_LAYER_DIALOG_WIN                    ".uno:LayerDialogChildWindow"
#define CMD_SID_INSERT_MASTER_PAGE                  ".uno:InsertMasterPage"
#define CMD_SID_DELETE_MASTER_PAGE                  ".uno:DeleteMasterPage"
#define CMD_SID_RENAME_MASTER_PAGE                  ".uno:RenameMasterPage"
#define CMD_SID_CLOSE_MASTER_VIEW                   ".uno:CloseMasterView"
#define CMD_SID_SELECT_BACKGROUND                   ".uno:SelectBackground"
#define CMD_SID_DISPLAY_MASTER_BACKGROUND           ".uno:DisplayMasterBackground"
#define CMD_SID_DISPLAY_MASTER_OBJECTS              ".uno:DisplayMasterObjects"
#define CMD_SID_TABLE_TOOLBOX                       ".uno:TableToolBox"
#define CMD_SID_TABLE_DISTRIBUTE_COLUMNS            ".uno:DistributeColumns"
#define CMD_SID_TABLE_DISTRIBUTE_ROWS               ".uno:DistributeRows"
#define CMD_SID_TP_APPLY_TO_ALL_SLIDES              ".uno:TaskPaneApplyToAllSlides"
#define CMD_SID_TP_APPLY_TO_SELECTED_SLIDES         ".uno:TaskPaneApplyToSelectedSlides"
#define CMD_SID_TP_USE_FOR_NEW_PRESENTATIONS        ".uno:TaskPaneUseForNewPresentations"
#define CMD_SID_TP_SHOW_SMALL_PREVIEW               ".uno:TaskPaneShowSmallPreview"
#define CMD_SID_TP_SHOW_LARGE_PREVIEW               ".uno:TaskPaneShowLargePreview"
#define CMD_SID_TP_EDIT_MASTER                      ".uno:TaskPaneEditMaster"
#define CMD_SID_INSERTPAGE_LAYOUT_MENU              ".uno:TaskPaneInsertPage"
#define CMD_SID_SWITCH_SHELL                        ".uno:SwitchViewShell"
#define CMD_SID_SWITCH_SHELL_PANE                   ".uno:SwitchViewShellPane"
#define CMD_SID_LEFT_PANE_IMPRESS                   ".uno:LeftPaneImpress"
#define CMD_SID_LEFT_PANE_DRAW                      ".uno:LeftPaneDraw"
#define CMD_SID_RIGHT_PANE                          ".uno:RightPane"
#define CMD_SID_NOTES_WINDOW                        ".uno:NotesChildWindow"
#define CMD_SID_NORMAL_MULTI_PANE_GUI               ".uno:NormalMultiPaneGUI"
#define CMD_SID_SLIDE_SORTER_MULTI_PANE_GUI         ".uno:SlideSorterMultiPaneGUI"
#define CMD_SID_TASK_PANE                           ".uno:TaskPaneShowPanel"

#endif
